Package org.bukkit.event.entity

# Class EntityCombustByEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityCombustEvent
org.bukkit.event.entity.EntityCombustByEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityCombustByEntityEvent extends EntityCombustEvent
Called when an entity causes another entity to combust.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityCombustByEntityEvent(@NotNull Entity combuster, @NotNull Entity combustee, int duration)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getCombuster()`
Get the entity that caused the combustion event.

### Methods inherited from class org.bukkit.event.entity.EntityCombustEvent

`getDuration, getHandlerList, getHandlers, isCancelled, setCancelled, setDuration`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityCombustByEntityEvent

public EntityCombustByEntityEvent(@NotNull @NotNull Entity combuster, @NotNull @NotNull Entity combustee, int duration)

## Method Details

### getCombuster

@NotNull public @NotNull Entity getCombuster()
Get the entity that caused the combustion event.

Returns:
  the Entity that set the combustee alight.